; Installation file for DTV 2000 NTSC/PAL/SECAM
; Copyright 1197, Diamond Multimedia

[Version]
; Signature=$CHICAGO$
Class=Software
; InstallClass="DTV2000"
; Provider=%String0%
DefaultRestart=0

[IncludeInf]
..\Dmmotion\DMMO_NT4.IN
..\help\@r\HELP.IN
; ..\Nt4\DTV2000.IN

[DestinationDirs]
Setup.Copy=%DTV2000_NT%
Setup.Delete=%DTV2000_NT%
Dtv2000.Drivers=12   ; drivers
Dtv2000.System32=11  ; system32

[SourceDisksNames]
1=%Disk1Desc%,,1

[SourceDisksFiles]
Install.exe=1,,389888
Setupnt4.in=1,,3076
Readme.eng=1,,5035
Readme.ger=1,,4864
Readme.txt=1,,5035
Inst16.exe=1,,2222
bt848_32.sys=1,,586064
bt848_32.dll=1,,682084
bt848yuv.dll=1,,62532
Dsvideo.dll=1,,96256

[Setup]
CopyFiles=Setup.Copy,Help_Common,Help_Dtv2k,Help_Dmmotion
Uninstall=Setup.Delete,Help_Common,Help_Dtv2k,Help_Dmmotion
DelReg=Setup.DelReg2
AddReg=Setup.AddReg
UninstallReg=Setup.DelReg1,Setup.DelReg2
ProgramGroups=Setup.ProgramGroups

[Setup.Copy]
Install.exe
Inst16.exe
Readme.txt,Readme.@r

[Setup.Delete]
Install.exe
Readme.txt
Setup.inf

[Setup.AddReg]
HKLM,Software\Microsoft\Windows\CurrentVersion\Uninstall\Diamond.%DTV2000%
HKLM,Software\Microsoft\Windows\CurrentVersion\Uninstall\Diamond.%DTV2000%,UninstallString,,@p\%DTV2000_NT%\Install.exe
HKLM,Software\Microsoft\Windows\CurrentVersion\Uninstall\Diamond.%DTV2000%,DisplayName,,%DisplayName%

[Setup.DelReg1]
HKLM,Software\Microsoft\Windows\CurrentVersion\Uninstall\Diamond.%DTV2000%,

[Setup.DelReg2]
HKCU,Software\Diamond\Video Capture,
HKCU,Software\Diamond\DMMOTION,
HKU,.Default\Software\Diamond\DMMOTION,

[Setup.ProgramGroups]
Diamond\Dtv2000,%Uninstall.Title.@r%,%DTV2000_NT%\Install.exe, ,%DTV2000_NT%,%DTV2000_NT%\Install.exe,0,1

[Optional Components]
Dtv 2000

[Dtv 2000]
OptionDesc=%Dtv.Desc.@r%
Tip=%Dtv.Tip.@r%
CopyFiles=Dtv2000.Drivers,Dtv2000.System32
AddReg=Dtv2000.AddReg
Type=1
Restart

[Dtv2000.Drivers]
bt848_32.sys

[Dtv2000.System32]
bt848_32.dll
bt848yuv.dll
Dsvideo.dll

[Dtv2000.AddReg]
HKLM,SYSTEM\CurrentControlSet\Services\bt848_32
HKLM,SYSTEM\CurrentControlSet\Services\bt848_32,ErrorControl,1,1
HKLM,SYSTEM\CurrentControlSet\Services\bt848_32,Group,,Base
HKLM,SYSTEM\CurrentControlSet\Services\bt848_32,Start,1,1
HKLM,SYSTEM\CurrentControlSet\Services\bt848_32,Type,1,1
HKLM,SYSTEM\CurrentControlSet\Services\bt848_32,ImagePath,,\SystemRoot\SYSTEM32\DRIVERS\bt848_32.SYS
HKLM,SOFTWARE\Microsoft\Windows\CurrentVersion\RunOnce,MigrateMMDrivers,,"rundll32.exe mmsys.cpl,mmseRunOnce"
HKLM,SOFTWARE\Microsoft\Windows NT\CurrentVersion\drivers.desc,bt848_32.sys,,Diamond DTV2000 Capture Driver
HKLM,SOFTWARE\Microsoft\Windows NT\CurrentVersion\drivers.desc,bt848_32.dll,,Diamond DTV2000 Capture Driver
HKLM,SOFTWARE\Microsoft\Windows NT\CurrentVersion\drivers.desc,bt848yuv.dll,,Diamond DTV2000 YUV Codec
HKLM,SOFTWARE\Microsoft\Windows NT\CurrentVersion\Drivers32,MSVIDEO,,bt848_32.dll
HKLM,SOFTWARE\Microsoft\Windows NT\CurrentVersion\Drivers32,VIDC.S422,,bt848yuv.dll
HKLM,SOFTWARE\Microsoft\Windows NT\CurrentVersion\Drivers32,VIDC.YUY2,,bt848yuv.dll
HKLM,SOFTWARE\Microsoft\Windows NT\CurrentVersion\Drivers32,VIDC.YVU9,,bt848yuv.dll
HKLM,SOFTWARE\Microsoft\Windows NT\CurrentVersion\Userinstallable.drivers,MSVIDEO,,bt848_32.dll
HKLM,SOFTWARE\Microsoft\Windows NT\CurrentVersion\Userinstallable.drivers,VIDC.YUY2,,bt848yuv.dll

[Strings]
String0="Diamond Multimedia Systems, Inc."
DTV2000_NT="Dtv2000\Install.nt4"
DTV2000="Dtv2000"

Uninstall.Title.eng="Uninstall product - components"
Uninstall.Title.ger="Uninstall - Komponenten entfernen"
Uninstall.Title.fra="Uninstall - Supprimer composants"
Uninstall.Title.ita="Uninstall - Rimuovi componenti"
Uninstall.Title.spa="Uninstall - Elimine componentes"

DisplayName="DIAMOND Dtv2000 Component Uninstall"
Disk1Desc="Setup Installation Disk"

Dtv.Desc.eng="DTV 2000 board and drivers"
Dtv.Desc.ger="DTV 2000 Videokarte und Treiber"
Dtv.Desc.fra="Gestionnaires et carte de circuits imprim�s DTV 2000"
Dtv.Desc.ita="Scheda video DTV 2000 e driver"
Dtv.Desc.spa="Tarjeta y controladores de DTV 2000"

Dtv.Tip.eng="Installation of the video board and drivers"
Dtv.Tip.ger="Installation der Videokarte und der Treiber"
Dtv.Tip.fra="Installation de la carte de circuits imprim�s vid�o et des gestionnaires"
Dtv.Tip.ita="Installazione della scheda video e dei driver" 
Dtv.Tip.spa="Instalaci�n de la tarjeta de v�deo y de los controladores"


